# Documentation

**react-desktop** is a JavaScript library built on top of [Facebook's React](https://facebook.github.io/react/) library, 
which aims to bring a native desktop experience to the web, featuring many macOS Sierra and Windows 10 components. 
**react-desktop** works perfectly with [NW.js](http://nwjs.io) and [Electron.js](http://electron.atom.io), but 
can be used in any JavaScript powered project!

## Table of Contents

1. Getting Started
  * [Installation](/docs/getting-started/installation.md)
2. macOS
  * [Box](/docs/mac-os/box.md)
  * [Button](/docs/mac-os/button.md)
  * [Checkbox](/docs/mac-os/checkbox.md)
  * [Dialog](/docs/mac-os/dialog.md)
  * [Label](/docs/mac-os/label.md)
  * [Link](/docs/mac-os/link.md)
  * [Pin](/docs/mac-os/pin.md)
  * [Progress Circle](/docs/mac-os/progress-circle.md)
  * [Radio](/docs/mac-os/radio.md)
  * [Search Field](/docs/mac-os/search-field.md)
  * [Segmented Control](/docs/mac-os/segmented-control.md)
  * [Text](/docs/mac-os/text.md)
  * [Text Input](/docs/mac-os/text-input.md)
  * [Title Bar](/docs/mac-os/title-bar.md)
  * [Toolbar](/docs/mac-os/toolbar.md)
  * [Toolbar Nav](/docs/mac-os/toolbar-nav.md)
  * [View](/docs/mac-os/view.md)
  * [Window](/docs/mac-os/window.md)
3. Windows 10
  * [Button](/docs/windows/button.md)
  * [Checkbox](/docs/windows/checkbox.md)
  * [Label](/docs/windows/label.md)
  * [Master/Details View](/docs/windows/master-details-view.md)
  * [Nav Pane](/docs/windows/nav-pane.md)
  * [Progress Circle](/docs/windows/progress-circle.md)
  * [Radio](/docs/windows/radio.md)
  * [Text](/docs/windows/text.md)
  * [Text Input](/docs/windows/text-input.md)
  * [Title Bar](/docs/windows/title-bar.md)
  * [View](/docs/windows/view.md)
  * [Window](/docs/windows/window.md)
4. [Contributing](/CONTRIBUTING.md)
5. [Change Log](/CHANGELOG.md)

<!---
4. Advanced Usage
 * [Electron.js](/docs/advanced-usage/electron-js.md)
 * [NW.js](/docs/advanced-usage/nw-js.md)
5. [Testing](/docs/testing.md)
6. [Frequently Asked Questions](/docs/faq.md)
-->
